Qyra
ReferenceSCIM

List users

List SCIM users in the organization

GET/api/v1/scim/v2/Users

Authentication: personal access token. The spec defines an api_key security scheme — send an Authorization: ApiKey <your-personal-access-token> header (value format: ApiKey <your key>). A session_cookie scheme (connect.sid) exists for browser sessions. Operations in this spec declare security: [], an artifact of the upstream spec generator — authentication is still enforced by the server.

Query parameters

NameTypeRequiredDescription
filterstringNoSCIM filter string (optional). See: https://bookstack.soffid.com/books/scim/page/scim-query-syntax
startIndexnumberNo1-based index of the first result to return (optional)
countnumberNoMaximum number of results to return (optional)

Responses

200 — Ok

{
  "schemas": [
    "urn:ietf:params:scim:api:messages:2.0:ListResponse"
  ],
  "totalResults": 0,
  "itemsPerPage": 0,
  "startIndex": 0,
  "Resources": [
    {
      "schemas": [
        "string"
      ],
      "id": "string",
      "meta": {
        "version": "string",
        "location": "string",
        "lastModified": "2024-01-01T00:00:00.000Z",
        "created": "2024-01-01T00:00:00.000Z",
        "resourceType": "string"
      },
      "userName": "string",
      "name": {
        "familyName": "string",
        "givenName": "string"
      },
      "active": true,
      "emails": [
        {
          "primary": true,
          "value": "string"
        }
      ],
      "roles": [
        {
          "value": "string",
          "display": "string",
          "type": "string",
          "primary": true
        }
      ],
      "urn:qyra:params:scim:schemas:extension:2.0:User": {
        "role": "string"
      }
    }
  ]
}